Results 1 to 6 of 6

Thread: Virtual box error

  1. #1

    Exclamation Virtual box error

    I trying to run Whonix through Virtual Box and everytime I click start I get this error.

    RTR3InitEx failed with rc=-1912 (rc=-1912)

    The VirtualBox kernel modules do not match this version of VirtualBox. The installation of VirtualBox was apparently not successful. Executing

    '/etc/init.d/vboxdrv setup'

    I tried the code with root access and everything says done but I still get the error message.

    I've tried many things, re-installing vbox from this guide https://forums.opensuse.org/showthre...ht=virtual+box.

    But nothing works and I'm on the verge of giving up.

    Can anybody help?

    p.s I'm quite new to unix and opensuse OS so please bear with me.

    Thanks.

  2. #2

    Default Re: Virtual box error

    Quote Originally Posted by danblukk View Post
    I trying to run Whonix through Virtual Box and everytime I click start I get this error.

    RTR3InitEx failed with rc=-1912 (rc=-1912)

    The VirtualBox kernel modules do not match this version of VirtualBox. The installation of VirtualBox was apparently not successful. Executing

    '/etc/init.d/vboxdrv setup'

    I tried the code with root access and everything says done but I still get the error message.
    And what VirtualBox packages do you actually have installed?
    Code:
    rpm -qa | grep -i virtualbox

  3. #3

    Default Re: Virtual box error

    Quote Originally Posted by wolfi323 View Post
    And what VirtualBox packages do you actually have installed?
    Code:
    rpm -qa | grep -i virtualbox
    OK I am taking it you wanted me to use that line of code you suppied.
    This is what I got back.

    linux-ilc8:~ # rpm -qa | grep -i virtualbox
    virtualbox-guest-kmp-desktop-4.3.20_k3.16.7_21-13.1.x86_64
    python-virtualbox-4.3.20-13.1.x86_64
    virtualbox-4.3.20-13.1.x86_64
    virtualbox-host-kmp-desktop-4.3.20_k3.16.7_21-13.1.x86_64
    VirtualBox-4.3-4.3.28_100309_openSUSE123-1.i586

  4. #4
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,695

    Default Re: Virtual box error

    VirtualBox-4.3-4.3.28_100309_openSUSE123-1.i586

    That is 32 bit the rest is 64

  5. #5
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,927

    Default AW: Virtual box error

    Do not mix Packages from openSUSE and Virtualbox.
    Besides that it is in 32 Bit, this is from Virtualbox:
    VirtualBox-4.3-4.3.28_100309_openSUSE123-1.i586

    The Rest are openSUSE Packages.

  6. #6

    Default Re: Virtual box error

    Quote Originally Posted by danblukk View Post
    OK I am taking it you wanted me to use that line of code you suppied.
    This is what I got back.

    linux-ilc8:~ # rpm -qa | grep -i virtualbox
    virtualbox-guest-kmp-desktop-4.3.20_k3.16.7_21-13.1.x86_64
    python-virtualbox-4.3.20-13.1.x86_64
    virtualbox-4.3.20-13.1.x86_64
    virtualbox-host-kmp-desktop-4.3.20_k3.16.7_21-13.1.x86_64
    VirtualBox-4.3-4.3.28_100309_openSUSE123-1.i586
    As already mentioned by others, you installed two different versions at the same time, that is just bound to give you problems.
    And you installed the 32bit version from Oracle on your 64bit system, which is not a good idea either.

    I would suggest this:
    Code:
    sudo rpm -e VirtualBox-4.3-4.3.28_100309_openSUSE123
    sudo zypper in -f virtualbox-host-kmp-desktop
    After a reboot, VirtualBox should work.

    PS: you should also install the package virtualbox-qt to have the actual GUI:
    Code:
    sudo zypper in virtualbox-qt
    You probably have vboxgtk installed at the moment (because of the mention of python-virtualbox in your output). This doesn't work at all, so better remove it too:
    Code:
    sudo zypper rm vboxgtk python-virtualbox
    Last edited by wolfi323; 06-Aug-2015 at 23:05.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •